var BuildCtrl = function (scene) {
    var _inst = this;

    this.init = function () {
    }
    this.loadBuildModel = function (path, name, onProgress, onFinish){
        let allProgress = 0, tempProgress=0;
        BABYLON.SceneLoader.ImportMesh("", path, name, scene, function(meshes){
            for(let i = 0; i < meshes.length; i++) {
                if(meshes[i].name == ("pingmu1")){
                    centerPV = meshes[i];
                }
                else if(meshes[i].name == ("pingmu2")){
                    leftPic = meshes[i];
                }
                else if(meshes[i].name == ("pingmu3")){
                    rightPic = meshes[i];
                }
                else if(meshes[i].name == "diban"){
                    meshes[i].checkCollisions = true;
                    meshes[i].fRay = true;
                }
            }

            if(onFinish){
                onFinish();
            }
        },function (progress) {
            if(tempProgress < 1)
                allProgress -= tempProgress;
            allProgress += progress.loaded/progress.total;
            tempProgress = progress.loaded/progress.total;

            if(onProgress){
                onProgress(Math.round(allProgress*50));
            }
        });
        let box = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box.position.set(0.2, 0.12, 0.26);
        box.scaling.set(22, 5, 1);
        box.visibility = 0.0;
        box.checkCollisions = true;
        box.fRay = true;
        let box2 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box2.position.set(0.2, 0.12, -0.26);
        box2.scaling.set(22, 5, 1);
        box2.visibility = 0.0;
        box2.checkCollisions = true;
        box2.fRay = true;
        let box3 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box3.position.set(1.3, 0.12, -0.0);
        box3.scaling.set(2, 5, 4);
        box3.visibility = 0.0;
        box3.checkCollisions = true;
        box3.fRay = true;
        let box4 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box4.position.set(-0.8, 0.12, -1.0);
        box4.scaling.set(2, 5, 14);
        box4.visibility = 0.0;
        box4.checkCollisions = true;
        box4.fRay = true;
        let box5 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box5.position.set(-0.8, 0.12, 1.0);
        box5.scaling.set(2, 5, 14);
        box5.visibility = 0.0;
        box5.checkCollisions = true;
        box5.fRay = true;
        let box6 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box6.position.set(-2.2, 0.12, -0.0);
        box6.scaling.set(2, 5, 14);
        box6.visibility = 0.0;
        box6.checkCollisions = true;
        box6.fRay = true;
        let box7 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box7.position.set(-1.5, 0.12, 1.1);
        box7.scaling.set(2, 5, 16);
        box7.rotation.y = Math.PI/3.5;
        box7.visibility = 0.0;
        box7.checkCollisions = true;
        box7.fRay = true;
        let box8 = BABYLON.Mesh.CreateBox("box", 0.1, scene);
        box8.position.set(-1.5, 0.12, -1.2);
        box8.scaling.set(2, 5, 20);
        box8.rotation.y = Math.PI/3.8+Math.PI/2;
        box8.visibility = 0.0;
        box8.checkCollisions = true;
        box8.fRay = true;
    }
    this.init();
}
